cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PKG

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PKG

- All Implemented Interfaces:
    ISegment

      public class PKG
      extends Segment

  PKG - Packaging Segment

  This segment contains the type of packaging available for the inventory supply item to be ordered and/or issued to a department or other supply location for a specified Purchasing Vendor.

  Represents an HL7 PKG message segment. This segment has the following fields:

  PKG-1 : Set Id - PKG (SI) Required
  PKG-2 : Packaging Units(CWE) Optional
  PKG-3 : Default Order Unit Of Measure Indicator(CNE) Optional
  PKG-4 : Package Quantity(NM)
  PKG-5 : Price(CP) Optional
  PKG-6 : Future Item Price(CP) Optional
  PKG-7 : Future Item Price Effective Date(DTM) Optional
  PKG-8 : Global Trade Item Number(CWE) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKG()` Constructs the PKG segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CNE` | `getDefaultOrderUnitOfMeasureIndicator()` Retrieves the Default Order Unit Of Measure Indicator.
    `CP` | `getFutureItemPrice()` Retrieves the Future Item Price.
    `CWE` | `getGlobalTradeItemNumber()` Retrieves the Global Trade Item Number.
    `DTM` | `getItemPriceEffectiveDate()` Retrieves the Future Item Price Effective Date.
    `NM` | `getPackageQuantity()` Retrieves the Package Quantity.
    `CWE` | `getPackagingUnits()` Retrieves the Packaging Units.
    `CP` | `getPrice()` Retrieves the Price.
    `SI` | `getSetId_PKG()` Retrieves the Set Id - PKG.
    `void` | `setDefaultOrderUnitOfMeasureIndicator(CNE objDefaultOrderUnitOfMeasureIndicator)` Set the Default Order Unit Of Measure Indicator.
    `void` | `setDefaultOrderUnitOfMeasureIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Default Order Unit Of Measure Indicator.
    `void` | `setFutureItemPrice(CP objFutureItemPrice)` Set the Future Item Price.
    `void` | `setFutureItemPrice(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Future Item Price.
    `void` | `setFutureItemPriceEffectiveDate(DTM objFutureItemPriceEffectiveDate)` Set the Future Item Price Effective Date.
    `void` | `setFutureItemPriceEffectiveDate(java.lang.String strFutureItemPriceEffectiveDate)` Set the Future Item Price Effective Date.
    `void` | `setGlobalTradeItemNumber(CWE objGlobalTradeItemNumber)` Set the Global Trade Item Number.
    `void` | `setGlobalTradeItemNumber(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Global Trade Item Number.
    `void` | `setPackageQuantity(NM objPackageQuantity)` Set the Package Quantity.
    `void` | `setPackageQuantity(java.lang.String strPackageQuantity)` Set the Package Quantity.
    `void` | `setPackagingUnits(CWE objPackagingUnits)` Set the Packaging Units.
    `void` | `setPackagingUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Packaging Units.
    `void` | `setPrice(CP objPrice)` Set the Price.
    `void` | `setPrice(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Price.
    `void` | `setSetId_PKG(SI objSetId_PKG)` Set the Set Id - PKG.
    `void` | `setSetId_PKG(java.lang.String strSetId_PKG)` Set the Set Id - PKG.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKG

          public PKG()

      Constructs the PKG segment.

  - ### Method Detail

    - #### getSetId_PKG

          public SI getSetId_PKG()

      Retrieves the Set Id - PKG. This field contains a sequential number that identifies this segment within a given Purchasing Vendor segment group.
      Returns:
        SI - setId_PKG

    - #### getPackagingUnits

          public CWE getPackagingUnits()

      Retrieves the Packaging Units. This field contains the packaging unit that this inventory supply item can be ordered or issued in when purchased from the vendor in the related vendor segment.
      Returns:
        CWE - packagingUnits

    - #### getDefaultOrderUnitOfMeasureIndicator

          public CNE getDefaultOrderUnitOfMeasureIndicator()

      Retrieves the Default Order Unit Of Measure Indicator. This field contains an indicator that determines whether or not the unit of measure present in the PKG-2 is considered the default Order unit of measure.
      Returns:
        CNE - defaultOrderUnitOfMeasureIndicator

    - #### getPackageQuantity

          public NM getPackageQuantity()

      Retrieves the Package Quantity. This field contains the number of units present within a unit of measure.
      Returns:
        NM - packageQuantity

    - #### getPrice

          public CP getPrice()

      Retrieves the Price. This field contains the price of the item when purchased from the vendor in the associated VND segment, for the unit of measure present in this PKG segment.
      Returns:
        CP - price

    - #### getFutureItemPrice

          public CP getFutureItemPrice()

      Retrieves the Future Item Price. This field contains a future price for the item based on the packaging unit in PKG-2.
      Returns:
        CP - futureItemPrice

    - #### getItemPriceEffectiveDate

          public DTM getItemPriceEffectiveDate()

      Retrieves the Future Item Price Effective Date. This field contains the date and time that a price change for the item becomes effective.
      Returns:
        DTM - itemPriceEffectiveDate

    - #### getGlobalTradeItemNumber

          public CWE getGlobalTradeItemNumber()

      Retrieves the Global Trade Item Number. This field contains the GTIN assigned to an item by the item manufacturer used for unique supply item identification by unit of measure within the GS1 standard.
      Returns:
        CWE - globalTradeItemNumber

    - #### setSetId_PKG

          public void setSetId_PKG(java.lang.String strSetId_PKG)

      Set the Set Id - PKG. This field contains a sequential number that identifies this segment within a given Purchasing Vendor segment group.
      Parameters:
        `strSetId_PKG` - Specifies Set Id - PKG

    - #### setSetId_PKG

          public void setSetId_PKG(SI objSetId_PKG)

      Set the Set Id - PKG. This field contains a sequential number that identifies this segment within a given Purchasing Vendor segment group.
      Parameters:
        `objSetId_PKG` - Specifies Set Id - PKG

    - #### setPackagingUnits

          public void setPackagingUnits(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Packaging Units. This field contains the packaging unit that this inventory supply item can be ordered or issued in when purchased from the vendor in the related vendor segment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPackagingUnits

          public void setPackagingUnits(CWE objPackagingUnits)

      Set the Packaging Units. This field contains the packaging unit that this inventory supply item can be ordered or issued in when purchased from the vendor in the related vendor segment.
      Parameters:
        `objPackagingUnits` - Object of Packaging Units.

    - #### setDefaultOrderUnitOfMeasureIndicator

          public void setDefaultOrderUnitOfMeasureIndicator(java.lang.String strIdentifier,
                                                   java.lang.String strText,
                                                   java.lang.String strNameOfCodingSystem,
                                                   java.lang.String strAlternateIdentifier,
                                                   java.lang.String strAlternateText,
                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                   java.lang.String strCodingSystemVersionID,
                                                   java.lang.String strAlternateCodingSystemVersionID,
                                                   java.lang.String strOriginalText,
                                                   java.lang.String strSecondAlternateIdentifier,
                                                   java.lang.String strSecondAlternateText,
                                                   java.lang.String strNameOfSecondAltenateCodingSystem,
                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                   java.lang.String strCodingSystemOID,
                                                   java.lang.String strValueSetOID,
                                                   java.lang.String strValueSetVersionID,
                                                   java.lang.String strAlternateCodingSystemOID,
                                                   java.lang.String strAlternateValueSetOID,
                                                   java.lang.String strAlternateValueSetVersionID,
                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                   java.lang.String strSecondAlternateValueSetOID,
                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Default Order Unit Of Measure Indicator. This field contains an indicator that determines whether or not the unit of measure present in the PKG-2 is considered the default Order unit of measure.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setDefaultOrderUnitOfMeasureIndicator

          public void setDefaultOrderUnitOfMeasureIndicator(CNE objDefaultOrderUnitOfMeasureIndicator)

      Set the Default Order Unit Of Measure Indicator. This field contains an indicator that determines whether or not the unit of measure present in the PKG-2 is considered the default Order unit of measure.
      Parameters:
        `objDefaultOrderUnitOfMeasureIndicator` - Object of Default Order Unit Of Measure Indicator.

    - #### setPackageQuantity

          public void setPackageQuantity(java.lang.String strPackageQuantity)

      Set the Package Quantity. This field contains the number of units present within a unit of measure.
      Parameters:
        `strPackageQuantity` - Use as Package Quantity.

    - #### setPackageQuantity

          public void setPackageQuantity(NM objPackageQuantity)

      Set the Package Quantity. This field contains the number of units present within a unit of measure.
      Parameters:
        `objPackageQuantity` - Use as Package Quantity.

    - #### setPrice

          public void setPrice(MO objPrice,
                      java.lang.String strPriceType,
                      java.lang.String strFromValue,
                      java.lang.String strToValue,
                      CWE objRangeUnits,
                      java.lang.String strRangeType)

      Set the Price. This field contains the price of the item when purchased from the vendor in the associated VND segment, for the unit of measure present in this PKG segment.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Specifies the "range" along with strToValue.
        `strToValue` - Specifies the "range" along with strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setPrice

          public void setPrice(CP objPrice)

      Set the Price. This field contains the price of the item when purchased from the vendor in the associated VND segment, for the unit of measure present in this PKG segment.
      Parameters:
        `objPrice` -

    - #### setFutureItemPrice

          public void setFutureItemPrice(MO objPrice,
                                java.lang.String strPriceType,
                                java.lang.String strFromValue,
                                java.lang.String strToValue,
                                CWE objRangeUnits,
                                java.lang.String strRangeType)

      Set the Future Item Price. This field contains a future price for the item based on the packaging unit in PKG-2.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Specifies the "range" along with strToValue.
        `strToValue` - Specifies the "range" along with strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setFutureItemPrice

          public void setFutureItemPrice(CP objFutureItemPrice)

      Set the Future Item Price. This field contains a future price for the item based on the packaging unit in PKG-2.
      Parameters:
        `objFutureItemPrice` -

    - #### setFutureItemPriceEffectiveDate

          public void setFutureItemPriceEffectiveDate(java.lang.String strFutureItemPriceEffectiveDate)

      Set the Future Item Price Effective Date. This field contains the date and time that a price change for the item becomes effective.
      Parameters:
        `strFutureItemPriceEffectiveDate` - Use as Future Item Price Effective Date.

    - #### setFutureItemPriceEffectiveDate

          public void setFutureItemPriceEffectiveDate(DTM objFutureItemPriceEffectiveDate)

      Set the Future Item Price Effective Date. This field contains the date and time that a price change for the item becomes effective.
      Parameters:
        `objFutureItemPriceEffectiveDate` - Object of Future Item Price Effective Date.

    - #### setGlobalTradeItemNumber

          public void setGlobalTradeItemNumber(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Global Trade Item Number. This field contains the GTIN assigned to an item by the item manufacturer used for unique supply item identification by unit of measure within the GS1 standard.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGlobalTradeItemNumber

          public void setGlobalTradeItemNumber(CWE objGlobalTradeItemNumber)

      Set the Global Trade Item Number. This field contains the GTIN assigned to an item by the item manufacturer used for unique supply item identification by unit of measure within the GS1 standard.
      Parameters:
        `objGlobalTradeItemNumber` - Object of Global Trade Item Number.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails